---
incomplete:
- id: aria-prohibited-attr
  impact: serious
  tags:
  - cat.aria
  - wcag2a
  - wcag412
  - EN-301-549
  - EN-9.4.1.2
  description: Ensures ARIA attributes are not prohibited for an element's role
  help: Elements must only use permitted ARIA attributes
  helpUrl: https://dequeuniversity.com/rules/axe/4.8/aria-prohibited-attr?application=axeAPI
  nodes:
  - any: []
    all: []
    none:
    - id: aria-prohibited-attr
      data:
        role:
        nodeName: div
        messageKey: noRoleSingular
        prohibited:
        - aria-labelledby
      relatedNodes: []
      impact: serious
      message: aria-labelledby attribute is not well supported on a div with no valid
        role attribute.
    impact: serious
    html: <div aria-labelledby="popup-text" class="eu-cookie-compliance-banner eu-cookie-compliance-banner-info
      eu-cookie-compliance-banner--opt-out" aria-hidden="false">
    target:
    - ".eu-cookie-compliance-banner"
    failureSummary: |-
      Fix all of the following:
        aria-labelledby attribute is not well supported on a div with no valid role attribute.
testEngine:
  name: axe-core
  version: 4.8.2
testRunner:
  name: axe
toolOptions:
  branding:
    application: Test Audit
  logIframeErrors: false
  noSandbox: true
  resultTypes:
  - violations
  runOnly:
    type: tag
    values:
    - wcag21aa
    - wcag2a
  reporter: v1